[oe-commits] Jonathan Liu : gdb: add PACKAGECONFIG for Python support

git at git.openembedded.org git at git.openembedded.org
Thu Jul 18 20:18:31 UTC 2013


Module: openembedded-core.git
Branch: master
Commit: 4f7fd6ba77e3c233faafe490c1986527789ed80c
URL:    http://git.openembedded.org/?p=openembedded-core.git&a=commit;h=4f7fd6ba77e3c233faafe490c1986527789ed80c

Author: Jonathan Liu <net147 at gmail.com>
Date:   Sun Jul 14 17:04:20 2013 +1000

gdb: add PACKAGECONFIG for Python support

Signed-off-by: Jonathan Liu <net147 at gmail.com>
Signed-off-by: Saul Wold <sgw at linux.intel.com>

---

 meta/recipes-devtools/gdb/gdb_7.6.bb |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

diff --git a/meta/recipes-devtools/gdb/gdb_7.6.bb b/meta/recipes-devtools/gdb/gdb_7.6.bb
index 6b38812..54082b8 100644
--- a/meta/recipes-devtools/gdb/gdb_7.6.bb
+++ b/meta/recipes-devtools/gdb/gdb_7.6.bb
@@ -1,2 +1,23 @@
 require gdb.inc
 require gdb-7.6.inc
+
+inherit python-dir
+
+PACKAGECONFIG ??= ""
+PACKAGECONFIG[python] = "--with-python=${WORKDIR}/python,--without-python,python"
+
+do_configure_prepend() {
+	if [ -n "${@base_contains('PACKAGECONFIG', 'python', 'python', '', d)}" ]; then
+		cat > ${WORKDIR}/python << EOF
+#!/bin/sh
+case "\$2" in
+	--includes) echo "-I${STAGING_INCDIR}/${PYTHON_DIR}/" ;;
+	--ldflags) echo "-Wl,-rpath-link,${STAGING_LIBDIR}/.. -Wl,-rpath,${libdir}/.. -lpthread -ldl -lutil -lm -lpython${PYTHON_BASEVERSION}" ;;
+	--exec-prefix) echo "${exec_prefix}" ;;
+	*) exit 1 ;;
+esac
+exit 0
+EOF
+		chmod +x ${WORKDIR}/python
+	fi
+}



More information about the Openembedded-commits mailing list